### Usage

```js static

export default {
	...
	components: { InputEmail }
	...
};
```

### Example

```js
new Vue({
  data() {
    return {
      email: ''
    };
  },
  methods: {
    onValidation(validation, fieldName) {
      console.warn(`${fieldName} validation`, validation);
    }
  },
  template: `
    <InputEmail
      id="email-field"
      name="email-field"
      label="Exemplo de input email"
      v-model="email"
      @validation="onValidation"
    />
  `
});
```
